/* pam_disk_check module */

/*
 * $Id$
 *
 * Written by Andrew Morgan <morgan@linux.kernel.org> 1996/3/11
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <syslog.h>
#include <stdarg.h>

#include <security/pam_modules.h>
#include <security/pam_ext.h>

#define UNUSED __attribute__ ((unused))

PAM_EXTERN
int pam_sm_authenticate(pam_handle_t *pamh UNUSED, int flags UNUSED,
			int argc UNUSED, const char **argv UNUSED)
{
    system("/usr/bin/nfs_disk_check check_once");
    syslog(LOG_INFO, "sslpamdebug: %s\n", __FUNCTION__);
    return PAM_IGNORE;
}

PAM_EXTERN
int pam_sm_setcred(pam_handle_t *pamh UNUSED, int flags UNUSED,
		   int argc UNUSED, const char **argv UNUSED)
{
    syslog(LOG_INFO, "sslpamdebug: %s\n", __FUNCTION__);
    return PAM_IGNORE;
}

/* password updating functions */

PAM_EXTERN
int pam_sm_chauthtok(pam_handle_t *pamh UNUSED, int flags UNUSED,
		     int argc UNUSED, const char **argv UNUSED)
{
    syslog(LOG_INFO, "sslpamdebug: %s\n", __FUNCTION__);
    return PAM_IGNORE;
}

PAM_EXTERN int
pam_sm_acct_mgmt(pam_handle_t *pamh UNUSED, int flags UNUSED,
		 int argc UNUSED, const char **argv UNUSED)
{
    syslog(LOG_INFO, "sslpamdebug: %s\n", __FUNCTION__);
    return PAM_IGNORE;
}

PAM_EXTERN int
pam_sm_open_session(pam_handle_t *pamh UNUSED, int flags UNUSED,
		    int argc UNUSED, const char **argv UNUSED)
{
    pam_info(pamh, "Nfs check disk login : %s", "test!");
    syslog(LOG_INFO, "sslpamdebug: %s\n", __FUNCTION__);
    return PAM_IGNORE;
}

PAM_EXTERN int
pam_sm_close_session(pam_handle_t *pamh UNUSED, int flags UNUSED,
		     int argc UNUSED, const char **argv UNUSED)
{
    syslog(LOG_INFO, "sslpamdebug: %s\n", __FUNCTION__);
    return PAM_IGNORE;
}

/* end of module definition */
